Subject: bug#34849: Compilation issues with g++ on some files

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Mar 2019 09:05:14 +0200

> From: Alex <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Wed, 20 Mar 2019 00:04:09 -0600
> 
> > https://lists.gnu.org/r/bug-gnulib/2019-03/msg00064.html
> 
> My problem there was that lisp.h includes verify.h, so I figure it would
> have been better to either fix it in upstream (which got shot down) or
> wrap the single include in extern "C++" rather than wrap most of lisp.h
> in extern "C".

Why is it a problem to wrap most or all of lisp.h in extern "C"?  Most
of your system headers do that already.